import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import HdfsLogoLight from './HdfsLogoLight';
import HdfsLogoDark from './HdfsLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const HdfsLogoSvg = forwardRef(function HdfsLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(HdfsLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(HdfsLogoLight, Object.assign({}, props, { ref: ref }));
});
export default HdfsLogoSvg;
